Skip to content
On this page

Get All Phone Number Verification Requests. ​

Endpoint for getting all Phone Number Verification requests by search filter.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/phone-verify/api/Verification[?RequesterId][&VerificationStatuses][&Statuses][&PhoneNumber][&From][&To][&ReferenceId][&Query][&Skip][&Limit]&v=1.0
Productionhttps://api.streamline.laboremus.ug/phoneid/api/Verification

Sandbox testing

See the Sandbox Context page for phone formats, network prefixes, and test numbers.

Request ​

Request Type : GET ​

Path Parameters Values ​

NameTypeRequiredDescription
idstring(uuid)yesThe Unique ID of a URSB-AnnualReturns request

Query Parameters Values ​

NameTypeRequiredDescription
RequesterIdstring or nullnoThe unique Id for the request initiator
VerificationStatusArray of string (Enum: Unknown, Valid, Invalid)noThe verification stage status
StatusesArray of string (Enum: Pending, Completed, Error)noThe stage at which the request is at
PhoneNumberstring or nullnoPhone number sent in request payload.
Fromstring (date-time)noStart date in query.
Tostring (date-time)noEnd date in query.
ReferenceIdstring or nullnoReference Id sent in the verification request.
Querystring or nullnoSearch input.
Skipinteger (int32)noPage number
Limitinteger (int32)noNumber of responses per page.

Response ​

Response Values ​

Content type

application/json

NameTypeDescription
statusCodeinteger (int32)

Example Response Body ​

json
{
  "statusCode": 0,
}
{
  "statusCode": 0,
}

Error Response ​

400 Bad Request

application/json

NameTypeDescription
statusCodeinteger(int32)The status of the error response

Example Error Response ​

json
{
 "statusCode": 0
}
{
 "statusCode": 0
}

401 Unauthorized

application/json

NameTypeDescription
statusCodeinteger(int32)The status of the error response

Example Error Response ​

json
{
 "statusCode": 0
}
{
 "statusCode": 0
}

500 Server Error

No response

Tech Served Right